#
# spec file for package perl-DateTime-Locale
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-DateTime-Locale
Version:        1.160000
Release:        59.1
%define cpan_version 1.16
Provides:       perl(DateTime::Locale) = 1.160000
%define cpan_name DateTime-Locale
Summary:        Localization support for DateTime.pm
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/DateTime-Locale/
Source0:        https://cpan.metacpan.org/authors/id/D/DR/DROLSKY/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(CPAN::Meta::Check) >= 0.011
BuildRequires:  perl(CPAN::Meta::Requirements)
BuildRequires:  perl(Dist::CheckConflicts) >= 0.02
BuildRequires:  perl(File::ShareDir)
BuildRequires:  perl(File::ShareDir::Install) >= 0.06
BuildRequires:  perl(List::Util) >= 1.45
BuildRequires:  perl(Params::ValidationCompiler) >= 0.13
BuildRequires:  perl(Specio::Declare)
BuildRequires:  perl(Specio::Library::String)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::File::ShareDir::Dist)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(Test::Warnings)
BuildRequires:  perl(namespace::autoclean) >= 0.19
Requires:       perl(Dist::CheckConflicts) >= 0.02
Requires:       perl(File::ShareDir)
Requires:       perl(List::Util) >= 1.45
Requires:       perl(Params::ValidationCompiler) >= 0.13
Requires:       perl(Specio::Declare)
Requires:       perl(Specio::Library::String)
Requires:       perl(namespace::autoclean) >= 0.19
%{perl_requires}

%description
DateTime::Locale is primarily a factory for the various locale subclasses.
It also provides some functions for getting information on all the
available locales.

If you want to know what methods are available for locale objects, then
please read the 'DateTime::Locale::FromData' documentation.

%prep
%setup -q -n %{cpan_name}-%{cpan_version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING.md README.md
%license LICENSE LICENSE.cldr

%changelog
* Thu May 25 2017 coolo@suse.com
- updated to 1.16
  see /usr/share/doc/packages/perl-DateTime-Locale/Changes
  1.16     2017-03-22
  - Rebuilt all locale data with CLDR 31, released on 2017-03-20.
  1.15     2017-03-15 (TRIAL RELEASE)
  - Most data is now stored in a share dir and only loaded as needed. This
    should reduce the memory usage from just loading DateTime::Locale by about
    4mb. Based on a PR by sergey. GH #14.
  1.14     2017-03-05
  - Codes with just a language and script code were not parsed correctly,
    leading to bugs in their data, so that they did not report a script_code,
    nor did their name reflect the script. So for example "bs-Latn" was just
    "Bosnian" instead of "Bosnian Latin".
  1.13     2017-03-05
  - Fixed a regression bug where providing a locale's English name or native
    name to DateTime::Locale->load no longer worked. Fixed by Sergey. GH #13.
  1.12     2017-01-29
  - Rebuilt all locale data with CLDR 30.0.3, released on 2016-12-02.
  1.11     2016-11-12
  - Switched from RT to the GitHub issue tracker.
  1.10     2016-10-22
  - Don't let warnings from other modules cause t/09version-check.t to
    fail. Reported by Graham Ollis. RT #118465
  1.09     2016-10-10
  - Rebuilt all locale data with CLDR 30, released on 2016-10-05.
  1.08     2016-09-23
  - Require namespace::autoclean 0.19+.
  1.07     2016-09-17
  - Bump minimum required Perl to 5.8.4 from 5.8.1. This matches DateTime.pm
    itself.
  1.06     2016-09-16
  - Replaced Params::Validate with Params::ValidationCompiler.
* Mon Jun 27 2016 coolo@suse.com
- updated to 1.05
  see /usr/share/doc/packages/perl-DateTime-Locale/Changes
  1.05     2016-06-26
  - Instead of using the DATA handle to get at as-yet-unloaded locale data in
    DateTime::Locale::Data, we now read the raw data into memory once, and use
    eval to turn it into Perl data structures as a particular locale is
    requested. This may fix a problem where reading from the DATA handle somehow
    returned the wrong chunk of data (or overlapped multiple locales). The
    downside is that loading DateTime::Locale now uses an additional 4MB of
    memory on my system, regardless of how many individual locales are
    instantiated. Reported by Greg Oschwald. GitHub #3.
* Thu Jun 23 2016 coolo@suse.com
- updated to 1.04
  see /usr/share/doc/packages/perl-DateTime-Locale/Changes
  1.04     2016-06-17
  - Replaced List::MoreUtils with List::Util.
* Tue Mar 29 2016 coolo@suse.com
- updated to 1.03
  see /usr/share/doc/packages/perl-DateTime-Locale/Changes
  1.03     2016-03-25
  - Rebuilt all locale data with CLDR 29, released on 2016-03-19.
* Thu Dec 10 2015 coolo@suse.com
- updated to 1.02
  see /usr/share/doc/packages/perl-DateTime-Locale/Changes
  1.02     2015-12-09
  - Make the DateTime::Locale->load method accept a locale in any non-canonical
    casing, such as "en-us". Reported by Shawn Moore. RT #110244.
* Sun Nov  8 2015 coolo@suse.com
- updated to 1.01
  see /usr/share/doc/packages/perl-DateTime-Locale/Changes
  1.01     2015-11-07
  - Prevent CPAN from indexing the tools directory, which is just for the
    author's use.
  1.00     2015-11-07
  * All of these changes were originally released in previous trial releases,
    but I'm repeating them here for clarity.
  [ENHANCEMENTS]
  - This release uses the locale data from CLDR version 28. The last major
    update of the locale data used CLDR 1.7.1, released in 2009, so this is a
    big change. Many things have changed in terms of locale data.
  - Some locales are no longer available because they are not in the CLDR data.
  - The CLDR data no longer includes default date and time format lengths. This
    is now "medium" for every locale, simply to provide some level of backwards
    compatibility.
  - Loading DateTime::Locale itself is now quite a bit faster. The whole locale
    registration system has been removed entirely, except for custom
    locales. This fixes RT #78794. Requested by Michael Conrad.
  - A long-standing issue with the Austrian locale not using the Austrian name
    for January has been fixed. RT #52337. Reported by Thomas Klausner.
  [BACKWARDS INCOMPATIBILITIES]
  - This is a big new release, and includes a number of backwards-incompatible
    changes. However, most users should be unaffected by this change. If you
    only use this module via DateTime.pm, you are unlikely to notice any changes
    other than changes to the locale data.
  - The old API deprecated since 0.40 has been removed (almost) entirely.
  - We now refer to things as "code" in the docs and method names where we used
    to call them ids. This includes locale, language, script, territory, and
    variant codes. This is more in line with the various ISO standards and the
    CLDR packages.
  - All the $locale->*_id methods (including $locale->id) are deprecated. Use
    the relevant $locale->*_code method instead.
  - The canonical form of the locale codes now uses dashes (-) instead of
    underscores (_). Loading a locale with an underscore in the name
    (e.g. en_US) still works.
  - The way that locale data is packaged has changed quite a bit. We no longer
    package each locale in its own class. Instead, all locale data is in a
    single module (mostly in a __DATA__ section) and loaded into memory as
    needed. If you have any code that checks $locale->isa, that code may
    break.
  - Locales are no longer subclasses of DateTime::Locale::Base. This module is
    still included in the distribution in case someone has a custom locale that
    inherits from this module. However, this module will go away in a future
    release.
  z
  - The "ii-*" aliases for the "he-*" locales have been removed.
  - The "no-*" aliases for the "nn-*" locales have been removed.
  - The value of $locale->code no longer reflects the value passed to
    DateTime::Locale->load. This only affects aliases and non-canonical forms of
    the code. For example, if you load "en_US" then $locale->code will return
    "en-US". If you load "C" or "POSIX" the returned code will be "en-US-POSIX".
  - All of the documentation related to creating aliases and registering custom
    locales has been removed. All of these methods still work, but I don't think
    this system got much use, so I don't want to emphasize it in the docs. (But
    let me know if you are using this and want to see these docs restored).
  0.96     2015-10-04 (TRIAL RELEASE)
  - Locale data with characters in the 0x80-0xFF range was not marked as UTF-8
    by Perl. This could cause all sorts of weirdness and was generally bad.
  0.95     2015-09-30 (TRIAL RELEASE)
  - Added .pod files for each locale that document the data for that locale.
  0.94     2015-09-30 (TRIAL RELEASE)
  - Restored the datetime_format method to individual locale objects for
    backwards compatibility.
  0.93     2015-09-28 (TRIAL RELEASE)
  - Really release a trial release this time. I'm not kidding. See 0.90 for the
    interesting changes.
* Mon Sep 28 2015 coolo@suse.com
- updated to 0.92
  see /usr/share/doc/packages/perl-DateTime-Locale/Changes
  0.92     2015-09-27
  - I accidentally released 0.90 as a non-trial release. This release is the
    same as 0.46, so that the newest non-trial release does not break the
    DateTime.pm tests.
  0.91     2015-09-27
  - Released the changes in 0.90 as a trial release.
  0.90     2015-09-27
  [ENHANCEMENTS]
  - Updated based on version 28 of the CLDR data. The last update was based on
    the CLDR 1.7.1 release from 2009, so this is a big change. Many things have
    changed in terms of locale data.
  - Some locales are no longer available because they are not in the CLDR data.
  - The CLDR data no longer includes default date and time format lengths. This
    is now "medium" for every locale, simply to provide some level of backwards
    compatibility.
  - The old API deprecated since 0.40 has been removed (almost) entirely.
  - Loading DateTime::Locale itself is now quite a bit faster. The whole locale
    registration system has been removed entirely, except for custom
    locales. This fixes RT #78794. Requested by Michael Conrad.
  - A long-standing issue with the Austrian locale not using the Austrian name
    for January has been fixed. RT #52337. Reported by Thomas Klausner.
  [BACKWARDS INCOMPATIBILITIES]
  * This is a big new release, and includes a number of backwards-incompatible
    changes. However, most users should be unaffected by this change. If you
    only use this module via DateTime.pm, you are unlikely to notice any changes
    other than changes to the locale data.
  * We now refer to things as "code" in the docs and method names where we used
    to call them ids. This includes locale, language, script, territory, and
    variant codes. This is more in line with the various ISO standards and the
    CLDR packages.
  * All the $locale->*_id methods (including $locale->id) are deprecated. Use
    the relevant $locale->*_code method instead.
  * The canonical form of the locale codes now uses dashes (-) instead of
    underscores (_). Loading a locale with an underscore in the name
    (e.g. en_US) still works.
  * The way that locale data is packaged has changed quite a bit. We no longer
    package each locale in its own class. Instead, all locale data is in a
    single module (mostly in a __DATA__ section) and loaded into memory as
    needed. If you have any code that checks $locale->isa, that code may
    break.
  * Locales are no longer subclasses of DateTime::Locale::Base. However, this
    module is still included in the distribution in case someone has a custom
    locale that inherits from this module. However, this module will go away in
    a future release.
  * The "ii-*" aliases for the "he-*" locales have been removed.
  * The "no-*" aliases for the "nn-*" locales have been removed.
  * The value of $locale->code no longer reflects the value passed to
    DateTime::Locale->load. This only affects aliases and non-canonical forms of
    the code. For example, if you load "en_US" then $locale->code returns
    "en-US". If you load "C" or "POSIX" the code is "en-US-POSIX".
  * All of the documentation related to creating aliases and registering custom
    locales has been removed. All of these methods still work, but I don't think
    this system got much use, so I don't want to emphasize it in the docs (but
    let me know if you are using this and want to see these docs restored).
* Tue Jul 28 2015 ro@suse.de
- make sure we provide > 0.4001 (perl versions mismatch with rpm)
  (same change as on Feb 12th)
* Sun Jun 14 2015 coolo@suse.com
- updated to 0.46
  see /usr/share/doc/packages/perl-DateTime-Locale/Changes
  0.46     2015-05-21
  - Fixed handling of C locales like "C.UTF-8". Passing these to
    DateTime::Locale->load would cause a warning followed by an exception, ubt
    all "C" locales should be special-cased as an alias of en-US-POSIX. Reported
    by David Wheeler. RT #104574.
* Wed Feb 12 2014 coolo@suse.com
- make sure we provide > 0.4001 (perl versions mismatch with rpm)
- regenerate with cpanspec, centos support no longer interesting
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Mon Aug 29 2011 chris@computersalat.de
- fix build/deps for RHEL, CentOS
  * AutoReq seem to be broken: need to remove tools dir, cause otherwise
    wrong Requires would be defined, e.g. perl(Moose),....
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Fri Jul 16 2010 chris@computersalat.de
- recreated by cpanspec 1.78
  o fix deps
- added bcond_with test
* Sun Apr 11 2010 chris@computersalat.de
- update to 0.45
  - Installing this release will cause older versions of
    DateTime::Format::Strptime to warn like crazy. Please update
    DateTime::Format::Strptime if you install this release.
  - This is an interim release still based on CLDR 1.7.1 pending the release of
    Locale::CLDR, which will happen real soon now, for some definition of soon.
  - Removed dependency on Class::ISA and just copied what we need from said
    module directly. Class::ISA warns as deprecated if used with Perl 5.11.0,
    even though it works just fine (doh). RT #53940.
  - All methods deprecated in the last release now warn when called.
  - Added methods to return per-locale strftime formats from the glibc
    data. These methods are not yet documented. They are just there for now to
    allow me to update DateTime::Format::Strptime.
- 0.44   2009-09-12
  - All methods which return strftime-style patterns are officially deprecated
    (and have been a little broken for some time, regardless). This includes all
    date and time format methods ending in "_format".
  - Other deprecated methods include:
    date_parts_order, date_before_time
    era, eras
    month_name, month_abbreviation, month_narrow
    month_names, month_abbreviations, month_narrows
    day_name, day_abbreviation, day_narrow
    day_names, day_abbreviations, day_narrows
    quarter_name, quarter_abbreviation, quarter_narrow
    quarter_names, quarter_abbreviations
    am_pm, am_pms
    era_name, era_abbreviation
    era_narrow, era_names, era_abbreviations
  - All of these deprecated methods will eventually be removed. If you are using
    them directly, please change your code.
  - Converted data files in tools/t/test-data to Unix line endings. This works
    around a bug in Module::Signature. Reported by Zefram. RT #49085.
  - Require Params::Validate 0.91, since 0.89 caused test failures for
    someone. Reported by Jeremy Hetzler. RT #41365.
  - Moved code to my hg repo at http://hg.urth.org/hg/DateTime-Locale.
- 0.43   2009-06-30
  - Based on CLDR 1.7.1, which includes support for several new
    languages, as well as lots of changes.
- removed .packlist, perllocal.pod files
  > noarch package
- cleanup spec
  o removed useless comments
  o fixed Header
  o fixed License
  o fixed deps
  - perl-macros < 1120
  - perl(Params::Validate) >= 0.91
  o fixed description
  o moved changelog to changes file
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Sun Jun 21 2009 chris@computersalat.de
- added perl-macros
  o autogen filelist with perl_gen_filelist
- spec mods
  o added header
  o fixed deps
* Sun Oct 26 2008 gerrit.beine@gmx.de
- update to 0.42
* Sun Jun  8 2008 gerrit.beine@gmx.de
- first release 0.4001
